Subject: Re: bug#39920: 27.0.90; repeat crashes on macOS
From: Stefan Kangas <[email-masked]>
To: Alan Third <[email-masked]>
Cc: [email-masked], William Rankin <[email-masked]>
Date: Sat, 22 Aug 2020 22:47:12 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Alan Third <[email-masked]> writes:

> On Sat, Mar 07, 2020 at 02:03:59PM +1000, William Rankin wrote:
>> This may have been an issue with the specific build. I've rebuilt (from the same
>> commit) and haven't experienced crashes.
>
> Thanks for letting us know.

The issue here seems resolved and there has been no further updates
within 6 months.  I'm therefore closing this bug report.

> I’m wondering if this could possibly be related to a warning we get
> complaining that a variable may be used uninitialized. I don’t know
> enough to know whether it could actually cause crashes.
>
> Anyway, there’s already a fix applied on master, but should we fix it
> on Emacs 27?

If it's just a matter of initializing this variable, why not install it
for 27.2?

> modified   src/nsterm.m
> @@ -2478,7 +2478,7 @@ so some key presses (TAB) are swallowed by the system.  */
>    id view;
>    NSPoint view_position;
>    Lisp_Object frame, tail;
> -  struct frame *f;
> +  struct frame *f = NULL;
>    struct ns_display_info *dpyinfo;
>
>    NSTRACE ("ns_mouse_position");

Best regards,
Stefan Kangas